package com.oqpo.api.service.oper;


import com.oqpo.api.entity.oper.MainChartEntity;
import com.oqpo.api.mapper.oper.MainChartMapper;
import com.oqpo.api.service.CommonService;
import com.oqpo.api.web.dto.response.oper.mainchart.ChartResponse;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
@Slf4j
public class MainChartService extends CommonService {

    @Autowired
    private MainChartMapper mainChartMapper;

    public ChartResponse selectPchReqChart(String brandId, String storeId, String prType) throws Exception {
        MainChartEntity entity = mainChartMapper.selectPchReqChart(brandId, storeId, prType);

        String chartData = "[ [' ', '대기', '반려', '승인',], [' ', " + entity.getPr20Val() + " , " + entity.getPr30Val() + " , " + entity.getPr40Val() + "] ]";

        ChartResponse result = new ChartResponse();
        result.setChartData(chartData);
        return result;
    }

    public ChartResponse selectPchOdrChart(String brandId, String storeId, String poType) throws Exception {
        MainChartEntity entity = mainChartMapper.selectPchOdrChart(brandId, storeId, poType);

        String chartData = "[ [' ', '요청', '진행', '취소',], [' ', " + entity.getPo20Val() + " , " + entity.getPo30Val() + " , " + entity.getPo99Val() + "] ]";

        ChartResponse result = new ChartResponse();
        result.setChartData(chartData);
        return result;
    }

}
